package argumentrelevance.argumentranker;

import java.util.List;

import argumentrelevance.storage.ArgumentUnit;

/**
 * This class represents the approach that ranks arguments according to the 
 * average frequency value of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class FrequencyAvgRanker extends AbstractPremiseBasedRanker {

	@Override
	public double computePremiseBasedScore(List<ArgumentUnit> premises) {
		double avgFrequency = 0.0;
		for (ArgumentUnit premise : premises) {
			avgFrequency += premise.getFrequency();
		}
		if (Double.compare(avgFrequency, 0.0) == 0){
			return 0.0;
		}
		return avgFrequency / premises.size();
	}

}
