package argumentrelevance.argumentranker;

import java.util.List;

import argumentrelevance.storage.ArgumentUnit;

/**
 * This class represents the approach that ranks arguments according to the 
 * maximum frequency value of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class FrequencyMaxRanker extends AbstractPremiseBasedRanker {

	@Override
	public double computePremiseBasedScore(List<ArgumentUnit> premises) {
		double maxFrequency = 0.0;
		for (ArgumentUnit premise : premises) {
			if (premise.getFrequency() > maxFrequency){
				maxFrequency = premise.getFrequency();
			}
		}
		return maxFrequency;
	}

}
