package argumentrelevance.argumentranker;

import java.util.List;

import argumentrelevance.storage.ArgumentUnit;

/**
 * This class represents the approach that ranks arguments according to the 
 * minimum frequency value of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class FrequencyMinRanker 
extends AbstractPremiseBasedRanker {

	@Override
	public double computePremiseBasedScore(List<ArgumentUnit> premises) {
		double minFrequency = 100000;
		for (ArgumentUnit premise : premises) {
			if (premise.getFrequency() < minFrequency){
				minFrequency = premise.getFrequency();
			}
		}
		if (Double.compare(minFrequency, 100000) == 0){
			return 0.0;
		}
		return minFrequency;
	}

}
