package argumentrelevance.argumentranker;

import java.util.List;

import argumentrelevance.storage.ArgumentUnit;

/**
 * This class represents the approach that ranks arguments according to the 
 * total frequency value of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class FrequencySumRanker extends AbstractPremiseBasedRanker {

	@Override
	public double computePremiseBasedScore(List<ArgumentUnit> premises) {
		double totalFrequency = 0.0;
		for (ArgumentUnit premise : premises) {
			totalFrequency += premise.getFrequency();
		}
		return totalFrequency;
	}

}
