package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * average Jaccard similarity of the argument's premises to the argument's
 * conclusion.
 * 
 * @author henning.wachsmuth
 *
 */
public class JaccardAvgRanker extends AbstractJaccardBasedRanker {

	@Override
	public double computeSimilarityBasedScore(List<Double> similarities) {
		double avgJaccard = 0.0;
		for (double jaccard : similarities) {
			avgJaccard += jaccard;
		}
		if (Double.compare(avgJaccard, 0.0) == 0){
			return 0.0;
		}
		return avgJaccard / similarities.size();
	}

}
