package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * maximum Jaccard similarity of the argument's premises to the argument's
 * conclusion.
 * 
 * @author henning.wachsmuth
 *
 */
public class JaccardMaxRanker extends AbstractJaccardBasedRanker {

	@Override
	public double computeSimilarityBasedScore(List<Double> similarities) {
		double maxJaccard = 0.0;
		for (double jaccard : similarities) {
			if (jaccard > maxJaccard){
				maxJaccard = jaccard;
			}
		}
		return maxJaccard;
	}

}
