package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * minimum Jaccard similarity of the argument's premises to the argument's
 * conclusion.
 * 
 * @author henning.wachsmuth
 *
 */
public class JaccardMinRanker extends AbstractJaccardBasedRanker {

	@Override
	public double computeSimilarityBasedScore(List<Double> similarities) {
		double minJaccard = 1.1;
		for (double jaccard : similarities) {
			if (jaccard < minJaccard){
				minJaccard = jaccard;
			}
		}
		if (Double.compare(minJaccard, 1.1) == 0){
			return 0.0;
		}
		return minJaccard;
	}

}
