package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * sum of Jaccard similarities of the argument's premises to the argument's
 * conclusion.
 * 
 * @author henning.wachsmuth
 *
 */
public class JaccardSumRanker extends AbstractJaccardBasedRanker {

	@Override
	public double computeSimilarityBasedScore(List<Double> similarities) {
		double sumJaccard = 0.0;
		for (double jaccard : similarities) {
			sumJaccard += jaccard;
		}
		return sumJaccard;
	}

}
