package argumentrelevance.argumentranker;

import java.util.List;

import argumentrelevance.storage.ArgumentUnit;

/**
 * This class represents the approach that ranks arguments according to the 
 * number of premises they have, the more the better. 
 * 
 * @author henning.wachsmuth
 *
 */
public class MostPremisesRanker extends AbstractPremiseBasedRanker {

	@Override
	public double computePremiseBasedScore(List<ArgumentUnit> premises) {
		double numberOfPremises = premises.size();
		// Score is inverse of number of premises (or 0.0)
		if (numberOfPremises > 0){
			return (1 - 1/numberOfPremises);
		} 
		return 0.0;
	}

}
