package argumentrelevance.argumentranker;

import java.util.List;

import argumentrelevance.storage.ArgumentUnit;

/**
 * This class represents the approach that ranks arguments according to the 
 * total PageRank value of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class PageRankSumRanker extends AbstractPremiseBasedRanker {

	@Override
	public double computePremiseBasedScore(List<ArgumentUnit> premises) {
		double sumPremisePageRank = 0.0;
		for (ArgumentUnit premise : premises) {
			sumPremisePageRank += premise.getPageRank()/premise.getFrequency();
		}
		return sumPremisePageRank;
	}

}
