package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * average SentiWordNet positivity of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class SentiwordnetAvgRanker extends AbstractSentiwordnetBasedRanker {

	@Override
	public double computeSentimentBasedScore(List<Double> sentiments) {
		double avgSentiment = 0.0;
		for (double sentiment : sentiments) {
			avgSentiment += sentiment;
		}
		if (Double.compare(avgSentiment, 0.0) == 0){
			return 0.0;
		}
		return avgSentiment / sentiments.size();
	}

}
