package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * maximum SentiWordNet positivity of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class SentiwordnetMaxRanker extends AbstractSentiwordnetBasedRanker {

	@Override
	public double computeSentimentBasedScore(List<Double> sentiments) {
		double maxSentiment = 0.0;
		for (double sentiment : sentiments) {
			if (sentiment > maxSentiment){
				maxSentiment = sentiment;
			}
		}
		return maxSentiment;
	}

}
