package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * minimum SentiWordNet positivity of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class SentiwordnetMinRanker extends AbstractSentiwordnetBasedRanker {

	@Override
	public double computeSentimentBasedScore(List<Double> sentiments) {
		double minSentiment = 1.1;
		for (double sentiment : sentiments) {
			if (sentiment < minSentiment){
				minSentiment = sentiment;
			}
		}
		if (Double.compare(minSentiment, 1.1) == 0){
			return 0.0;
		}
		return minSentiment;
	}

}
