package argumentrelevance.argumentranker;

import java.util.List;

/**
 * This class represents the approach that ranks arguments according to the 
 * sum of the SentiWordNet positivities of the argument's premises.
 * 
 * @author henning.wachsmuth
 *
 */
public class SentiwordnetSumRanker extends AbstractSentiwordnetBasedRanker {

	@Override
	public double computeSentimentBasedScore(List<Double> sentiments) {
		double sumSentiment = 0.0;
		for (double sentiment : sentiments) {
			sumSentiment += sentiment;
		}
		return sumSentiment;
	}

}
