package argumentrelevance.storage;

/**
 * Storage class for the source information of an argument unit.
 * 
 * @author henning.wachsmuth
 *
 */
public class ArgumentUnitSource {

	// -------------------------------------------------------------------------
	// VALUES
	// -------------------------------------------------------------------------

	/**
	 * The source ID of the argument unit 
	 */
	private int argumentUnitID;
	
	/**
	 * The name of the source corpus 
	 */
	private String corpusName;
	
	/**
	 * The source argument map ID of the argument unit 
	 */
	private int mapID;
	
	
	
	// -------------------------------------------------------------------------
	// INITIALIZATIONS
	// -------------------------------------------------------------------------

	/**
	 * Sets all values.
	 * 
	 * @param unitID The unit ID
	 * @param corpusName The corpus name
	 * @param mapID The map ID
	 */
	public ArgumentUnitSource(int unitID, String corpusName, int mapID) {
		super();
		this.argumentUnitID = unitID;
		this.corpusName = corpusName;
		this.mapID = mapID;
	}

	
	// -------------------------------------------------------------------------
	// GETTERS AND SETTERS
	// -------------------------------------------------------------------------

	/**
	 * Gets the unit ID.
	 * @return The unit ID
	 */
	public int getArgumentUnitID() {
		return argumentUnitID;
	}

	/**
	 * Sets the unit ID.
	 * @param unitID The unit ID.
	 */
	public void setArgumentUnitID(int unitID) {
		this.argumentUnitID = unitID;
	}

	/**
	 * Gets the corpus name.
	 * @return The corpus name
	 */
	public String getCorpusName() {
		return corpusName;
	}

	/**
	 * Sets the corpus name.
	 * @param corpusName The corpus name.
	 */
	public void setCorpusName(String corpusName) {
		this.corpusName = corpusName;
	}

	/**
	 * Gets the map ID.
	 * @return The map ID
	 */
	public int getMapID() {
		return mapID;
	}

	/**
	 * Sets the map ID.
	 * @param mapID The map ID
	 */
	public void setMapID(int mapID) {
		this.mapID = mapID;
	}

	

}
